/*****************************************************************

     ██████╗ ███████╗███╗   ██╗███████╗██████╗  █████╗ ██╗
    ██╔════╝ ██╔════╝████╗  ██║██╔════╝██╔══██╗██╔══██╗██║
    ██║  ███╗█████╗  ██╔██╗ ██║█████╗  ██████╔╝███████║██║
    ██║   ██║██╔══╝  ██║╚██╗██║██╔══╝  ██╔══██╗██╔══██║██║
    ╚██████╔╝███████╗██║ ╚████║███████╗██║  ██║██║  ██║███████╗
     ╚═════╝ ╚══════╝╚═╝  ╚═══╝╚══════╝╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝

 ******************************************************************/



    input, 
    textarea,
    select {
        border-radius: 0;
        font-family: var(--font-sans-serif-bold);
        letter-spacing: 0.2rem;
        border: 0.3rem solid var(--color-black);
    }

    button, 
    .button {
        border-radius: 6rem;
        font-family: var(--font-sans-serif-bold);
        letter-spacing: 0.2rem;
    }

    input:focus, 
    textarea:focus,
    select:focus {
        box-shadow: 0 0 1rem -0.3rem currentColor;
    }

    ::placeholder {
        color: var(--color-black);
    }

/**************************************************************************************************************

     ██████╗ ██████╗  █████╗ ██╗   ██╗██╗████████╗██╗   ██╗    ███████╗ ██████╗ ██████╗ ███╗   ███╗███████╗
    ██╔════╝ ██╔══██╗██╔══██╗██║   ██║██║╚══██╔══╝╚██╗ ██╔╝    ██╔════╝██╔═══██╗██╔══██╗████╗ ████║██╔════╝
    ██║  ███╗██████╔╝███████║██║   ██║██║   ██║    ╚████╔╝     █████╗  ██║   ██║██████╔╝██╔████╔██║███████╗
    ██║   ██║██╔══██╗██╔══██║╚██╗ ██╔╝██║   ██║     ╚██╔╝      ██╔══╝  ██║   ██║██╔══██╗██║╚██╔╝██║╚════██║
    ╚██████╔╝██║  ██║██║  ██║ ╚████╔╝ ██║   ██║      ██║       ██║     ╚██████╔╝██║  ██║██║ ╚═╝ ██║███████║
     ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚═╝   ╚═╝      ╚═╝       ╚═╝      ╚═════╝ ╚═╝  ╚═╝╚═╝     ╚═╝╚══════╝

 **************************************************************************************************************/



    /* General Gravity Forms stylings. */

    .gform_wrapper [class*="column"] {
        padding-left: calc( 0.5 *var(--grid-gutter) ) !important;
        padding-right: calc( 0.5 *var(--grid-gutter) ) !important;
    }

        .gform_body {
            clear: both;
        }

        .gform_footer {
            clear: both;
        }

        .gform_wrapper .row .gform_footer {
            padding-right: var(--grid-gutter) !important;
            padding-left: var(--grid-gutter) !important;
        }

        .gform_wrapper .textarea,
        .gform_wrapper .textarea.small {
            height: 15em;
        }

        .gform_wrapper .textarea.medium {
            height: 25em;
        }

        .gform_wrapper .textarea.large {
            height: 30em;
        }

    /* Form error message. */

    .gform_wrapper .validation_error {
        padding: 1em;
        font-size: unset;
        border-radius: 0;
        color: var(--color-white);
        background: rgba(var(--red), 0.5);
        transform: translate3d(0, 0, 0);
    }

    .gform_wrapper .row .validation_error {
        margin-left: var(--grid-gutter);
        margin-right: var(--grid-gutter);
    }

        .gform_wrapper .validation_error::before {
            display: inline-block;
            font-family: var(--font-icons);
            content: '\e80e';
            margin-right: 1em;
        }

    /* Form error fields. */

    .gform_wrapper .validation_message {
        background: rgba(var(--blue), 0.2);
        padding: 0.1em 0.5em;
        border-radius: 0;
        transform: translate3d(0, 0, 0);
    }

        .gfield_error input,
        .gfield_error textarea,
        .gfield_error select {
            background: rgba(var(--gray-light-x), 0.3);
        }

    /* Form submit waiting loader. */

    .gform_ajax_spinner {
        background: white;
        width: 2.5rem !important;
        height: 2.5rem !important;
    }

    /* Form success confirmation message. */

    .gform_confirmation_message {
        padding: 2em;
        font-size: unset;
        border-radius: 0;
        color: var(--color-white);
        background: rgba(var(--green), 0.7);
    }

        .gform_confirmation_message::before {
            display: inline-block;
            font-family: var(--font-icons);
            content: '\e834';
            margin-right: 1em;
        }

    .row .gform_confirmation_message {
        margin-left: var(--grid-gutter);
        margin-right: var(--grid-gutter);
    }

        .newsletter-form .gfield_label {
            display: none;
        }

            .newsletter-form input {
                border-radius: 0;
            }

            .newsletter-form :placeholder-shown {
                background: var(--color-gray-x);
                color: var(--color-black);
            }
            
            .newsletter-form li {
                font-family: var(--font-sans-serif-normal);
            }
            
            .newsletter-form input {
                font-family: var(--font-serif-normal);
            }

            .newsletter-form .gform_button {
                background: var(--color-red);
                color: var(--color-black);
                font-size: 1.4rem;
                font-family: var(--font-sans-serif-bold);
            }

            .newsletter-form .gform_footer input {
                border-radius: 6rem;
                box-shadow: none;
                text-transform: uppercase;
                color: var(--color-white);
                padding: 0 4.5rem;
            }

            .contact-form .gform_footer {
                text-align: center;
                padding-top: 2rem;
            }

/*************************************************************************************************************************************************************************************************************

    ██████╗  ██████╗  ██████╗ ██╗  ██╗     ██████╗ ██████╗ ██████╗ ███████╗███████╗    ██╗   ██╗ █████╗ ██╗     ██╗██████╗  █████╗ ████████╗██╗ ██████╗ ███╗   ██╗    ███████╗ ██████╗ ██████╗ ███╗   ███╗
    ██╔══██╗██╔═══██╗██╔═══██╗██║ ██╔╝    ██╔════╝██╔═══██╗██╔══██╗██╔════╝██╔════╝    ██║   ██║██╔══██╗██║     ██║██╔══██╗██╔══██╗╚══██╔══╝██║██╔═══██╗████╗  ██║    ██╔════╝██╔═══██╗██╔══██╗████╗ ████║
    ██████╔╝██║   ██║██║   ██║█████╔╝     ██║     ██║   ██║██║  ██║█████╗  ███████╗    ██║   ██║███████║██║     ██║██║  ██║███████║   ██║   ██║██║   ██║██╔██╗ ██║    █████╗  ██║   ██║██████╔╝██╔████╔██║
    ██╔══██╗██║   ██║██║   ██║██╔═██╗     ██║     ██║   ██║██║  ██║██╔══╝  ╚════██║    ╚██╗ ██╔╝██╔══██║██║     ██║██║  ██║██╔══██║   ██║   ██║██║   ██║██║╚██╗██║    ██╔══╝  ██║   ██║██╔══██╗██║╚██╔╝██║
    ██████╔╝╚██████╔╝╚██████╔╝██║  ██╗    ╚██████╗╚██████╔╝██████╔╝███████╗███████║     ╚████╔╝ ██║  ██║███████╗██║██████╔╝██║  ██║   ██║   ██║╚██████╔╝██║ ╚████║    ██║     ╚██████╔╝██║  ██║██║ ╚═╝ ██║
    ╚═════╝  ╚═════╝  ╚═════╝ ╚═╝  ╚═╝     ╚═════╝ ╚═════╝ ╚═════╝ ╚══════╝╚══════╝      ╚═══╝  ╚═╝  ╚═╝╚══════╝╚═╝╚═════╝ ╚═╝  ╚═╝   ╚═╝   ╚═╝ ╚═════╝ ╚═╝  ╚═══╝    ╚═╝      ╚═════╝ ╚═╝  ╚═╝╚═╝     ╚═╝

 *************************************************************************************************************************************************************************************************************/



 .book-codes-validation-form-container {
    display: flex;
    flex-direction: column;
    gap: 2em;
    margin: 2em 0;
 }

    .book-codes-validation-form-container #code-validation-rules-list {
        list-style: none;
        padding: 0;
    }

        .book-codes-validation-form-container #code-validation-rules-list li {
            font-size: 12px;
            font-style: italic;
            color: var(--color-gray);
        }

            .book-codes-validation-form-container #code-validation-rules-list li::before {
                /* content: '\2022'; */
                margin-right: .2em;
            }

            .book-codes-validation-form-container #code-validation-rules-list li:not( :last-child ) {
                margin-bottom: .25em;
            }

        .book-codes-validation-form-container #code-validation-rules-list li.error {
            color: var(--color-red);
        }

            .book-codes-validation-form-container #code-validation-rules-list li.error::before {
                content: '\2717';
            }

        .book-codes-validation-form-container #code-validation-rules-list li.success {
            color: var(--color-green);
        }

            .book-codes-validation-form-container #code-validation-rules-list li.success::before {
                content: '\2713';
            }

    .book-codes-validation-form-container form label,
    .book-codes-validation-form-container form input,
    .book-codes-validation-form-container form ul {
        margin-bottom: .5em;
    }

    .book-codes-validation-form-container form input[ type = "text" ],
    .book-codes-validation-form-container form input[ type = "email" ] {
        background: var(--color-white);
    }

        .book-codes-validation-form-container form input[ type = "text" ].error,
        .book-codes-validation-form-container form input[ type = "email" ].error {
            border-color: var(--color-red);
        }

    .book-codes-validation-form-container form button[ type = "submit" ].disabled {
        opacity: 0.6;
        cursor: not-allowed;
    }

        .book-codes-validation-form-container form button[ type = "submit" ] .form-submit-button__loader {
            display: none;
            width: 25px;
            border-radius: 60%;
            margin-left: 1.5em;
            transition: all 0.2s ease-in-out;
        }

        .book-codes-validation-form-container form button[ type = "submit" ] .form-submit-button__loader.visible {
            display: inline-block;
        }

    .book-codes-validation-form-container .form-validation-output {
        display: none;
    }

    .book-codes-validation-form-container .form-validation-output.visible {
        display: block;
    }

        .book-codes-validation-form-container .form-validation-output .form-validation-output__message {
            display: none;
            color: var(--color-white);
            padding: 1em;
            border-radius: 20px;
            transition: all .2s ease-in-out;
        }

        .book-codes-validation-form-container .form-validation-output .form-validation-output__message.visible {
            display: block;
        }

            .book-codes-validation-form-container .form-validation-output .form-validation-output__message.successful {
                background: var(--color-green);
            }

            .book-codes-validation-form-container .form-validation-output .form-validation-output__message.error {
                background: var(--color-red);
            }

            .book-codes-validation-form-container .form-validation-output .form-validation-output__message a {
                color: var(--color-white);
                text-decoration: underline;
            }

                .book-codes-validation-form-container .form-validation-output .form-validation-output__message a:is( :hover, :focus, :active ) {
                    text-decoration: none;
                }

        .book-codes-validation-form-container .form-validation-output .form-validation-output__cta {
            display: none;
            text-transform: uppercase;
            background: var(--color-green);
            border: 2px solid var(--color-green);
            margin-top: 1em;
        }

            .book-codes-validation-form-container .form-validation-output .form-validation-output__cta:is( :hover, :focus, :active ) {
                color: var(--color-green);
                background: var(--color-white);
            }

        .book-codes-validation-form-container .form-validation-output .form-validation-output__cta.visible {
            display: inline-block;
        }

        .book-codes-validation-form-container .form-validation-output .form-validation-output__iframe {
            display: none;
            width: 100%;
            height: 100%;
            border: none;
        }

        .book-codes-validation-form-container .form-validation-output .form-validation-output__iframe.visible {
            display: block;
        }




/*****************************************************************************************************************************************************************************************

    ██████╗ ██████╗  ██████╗ ████████╗███████╗ ██████╗████████╗███████╗██████╗     ██████╗ ██╗   ██╗███╗   ██╗██████╗ ██╗     ███████╗███████╗    ███████╗ ██████╗ ██████╗ ███╗   ███╗
    ██╔══██╗██╔══██╗██╔═══██╗╚══██╔══╝██╔════╝██╔════╝╚══██╔══╝██╔════╝██╔══██╗    ██╔══██╗██║   ██║████╗  ██║██╔══██╗██║     ██╔════╝██╔════╝    ██╔════╝██╔═══██╗██╔══██╗████╗ ████║
    ██████╔╝██████╔╝██║   ██║   ██║   █████╗  ██║        ██║   █████╗  ██║  ██║    ██████╔╝██║   ██║██╔██╗ ██║██║  ██║██║     █████╗  ███████╗    █████╗  ██║   ██║██████╔╝██╔████╔██║
    ██╔═══╝ ██╔══██╗██║   ██║   ██║   ██╔══╝  ██║        ██║   ██╔══╝  ██║  ██║    ██╔══██╗██║   ██║██║╚██╗██║██║  ██║██║     ██╔══╝  ╚════██║    ██╔══╝  ██║   ██║██╔══██╗██║╚██╔╝██║
    ██║     ██║  ██║╚██████╔╝   ██║   ███████╗╚██████╗   ██║   ███████╗██████╔╝    ██████╔╝╚██████╔╝██║ ╚████║██████╔╝███████╗███████╗███████║    ██║     ╚██████╔╝██║  ██║██║ ╚═╝ ██║
    ╚═╝     ╚═╝  ╚═╝ ╚═════╝    ╚═╝   ╚══════╝ ╚═════╝   ╚═╝   ╚══════╝╚═════╝     ╚═════╝  ╚═════╝ ╚═╝  ╚═══╝╚═════╝ ╚══════╝╚══════╝╚══════╝    ╚═╝      ╚═════╝ ╚═╝  ╚═╝╚═╝     ╚═╝

 ****************************************************************************************************************************************************************************************/



.bundles-page .protected-bundles-password-form {
    margin: 3em 0;
}

    .bundles-page .protected-bundles-password-form input[ type = 'text' ] {
        width: fit-content;
        margin-bottom: 1.5em;
    }